entcfg: OPERA Cloud Enterprise Configuration API
246 operations from Oracle’s published OHIP specifications (26.3.0.0). Each shows its HTTP method and path and the typed call on ctx.Ohip.Api. hotelId defaults to the invocation’s hotel.
changeAirports
Section titled “changeAirports”Change resort airports
PUT /ent/config/v1/hotels/{hotelId}/airports/{airportCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeAirportsAsync(string airportCode, AirportsToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeAlternateHotels
Section titled “changeAlternateHotels”Update Alternate Hotels
PUT /ent/config/v1/hotels/{hotelId}/alternates/{alternateHotelId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeAlternateHotelsAsync(string alternateHotelId, AlternateHotelsToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeAmenities
Section titled “changeAmenities”Change amenities
PUT /ent/config/v1/hotels/{hotelId}/amenities/{featureCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeAmenitiesAsync(string featureCode, AmenitiesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeAttractions
Section titled “changeAttractions”Update an Attraction
PUT /ent/config/v1/hotels/{hotelId}/attractions/{attractionCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeAttractionsAsync(string attractionCode, AttractionsToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeAttractionTemplates
Section titled “changeAttractionTemplates”Change Attraction Template
PUT /ent/config/v1/attractions/{attractionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeAttractionTemplatesAsync(string attractionCode, AttractionTemplatesToBeChanged body, CancellationToken ct = default)changeBrandCodes
Section titled “changeBrandCodes”Change Brand Code
PUT /ent/config/v1/brandCodes/{brandCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeBrandCodesAsync(string brandCode, BrandCodesToBeChanged body, CancellationToken ct = default)changeCentralConfig
Section titled “changeCentralConfig”Change the status for Central Config to manage at Hotel/Enterprise Level.
PUT /ent/config/v1/hotels/{hotelId}/centralConfigs/{config}/items/{code} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeCentralConfigAsync(string configValue, string code, CentralConfigRequest body, string? hotelId = null, CancellationToken ct = default)changeCorporateBusinessUnits
Section titled “changeCorporateBusinessUnits”Change Corporate Business Units
PUT /ent/config/v1/corporateBusinessUnits/{businessUnitCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeCorporateBusinessUnitsAsync(string businessUnitCode, CorporateBusinessUnitsToBeChanged body, CancellationToken ct = default)changeCorporateDepartmentCodes
Section titled “changeCorporateDepartmentCodes”Change Corporate Department Codes
PUT /ent/config/v1/corporateDepartmentCodes/{departmentCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeCorporateDepartmentCodesAsync(string departmentCode, CorporateDepartmentCodesToBeChanged body, CancellationToken ct = default)changeCorporateDivisions
Section titled “changeCorporateDivisions”Change Corporate Divisions
PUT /ent/config/v1/corporateDivisions/{divisionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeCorporateDivisionsAsync(string divisionCode, CorporateDivisionsToBeChanged body, CancellationToken ct = default)changeCorporateOperatingUnits
Section titled “changeCorporateOperatingUnits”Change Corporate Operating Units
PUT /ent/config/v1/corporateOperatingUnits/{operatingUnitCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeCorporateOperatingUnitsAsync(string operatingUnitCode, CorporateOperatingUnitsToBeChanged body, CancellationToken ct = default)changeCountries
Section titled “changeCountries”Update a Country Code
PUT /ent/config/v1/hotels/{hotelId}/countries/{countryCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeCountriesAsync(string countryCode, CountriesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeCountryGuestTypes
Section titled “changeCountryGuestTypes”Change Country Guest Types
PUT /ent/config/v1/countries/guestTypes/{guestTypeCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeCountryGuestTypesAsync(string guestTypeCode, CountryGuestTypesToBeChanged body, CancellationToken ct = default)changeCountryMainGroups
Section titled “changeCountryMainGroups”Change Country Main Groups
PUT /ent/config/v1/countryMainGroups/{groupCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeCountryMainGroupsAsync(string groupCode, CountryMainGroupsToBeChanged body, CancellationToken ct = default)changeCreditCardTypes
Section titled “changeCreditCardTypes”Change Credit Card Types
PUT /ent/config/v1/hotels/{hotelId}/creditcardTypes · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeCreditCardTypesAsync(CreditCardTypesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeDepartments
Section titled “changeDepartments”Change Departments
PUT /ent/config/v1/departments/{departmentCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeDepartmentsAsync(string departmentCode, DepartmentsToBeChanged body, CancellationToken ct = default)changeHotelCategories
Section titled “changeHotelCategories”Change Hotel Categories
PUT /ent/config/v1/hotelCategories/{categoryCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeHotelCategoriesAsync(string categoryCode, HotelCategoriesToBeChanged body, CancellationToken ct = default)changeHotelContacts
Section titled “changeHotelContacts”Change Hotel Contact
PUT /ent/config/v1/hotels/{hotelId}/contacts/{contactId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeHotelContactsAsync(string contactId, HotelContactsToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeHotelDayTypeCodes
Section titled “changeHotelDayTypeCodes”Change Hotel Day Type Codes
PUT /ent/config/v1/hotels/{hotelId}/dayTypeCodes · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeHotelDayTypeCodesAsync(HotelDayTypeCodesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeHotelNotes
Section titled “changeHotelNotes”Update Note information
PUT /ent/config/v1/hotels/{hotelId}/notes/{noteCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeHotelNotesAsync(string noteCode, HotelNotesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeHotelRateRanges
Section titled “changeHotelRateRanges”Update Rate Range information
PUT /ent/config/v1/hotels/{hotelId}/rateRanges · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeHotelRateRangesAsync(HotelRateRangesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeHotelRestaurants
Section titled “changeHotelRestaurants”Update the restaurant information
PUT /ent/config/v1/hotels/{hotelId}/restaurants/{restaurantCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeHotelRestaurantsAsync(string restaurantCode, HotelRestaurantsToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeJobTitles
Section titled “changeJobTitles”Change resort job titles
PUT /ent/config/v1/hotels/{hotelId}/jobTitles/{jobTitleCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeJobTitlesAsync(string jobTitleCode, JobTitlesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeLanguages
Section titled “changeLanguages”Update a Language
PUT /ent/config/v1/languages/{languageCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeLanguagesAsync(string languageCode, LanguagesToBeChanged body, CancellationToken ct = default)changeMarketingCities
Section titled “changeMarketingCities”Change resort marketing cities
PUT /ent/config/v1/hotels/{hotelId}/marketingCities/{cityCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeMarketingCitiesAsync(string cityCode, MarketingCitiesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeNoteTypes
Section titled “changeNoteTypes”Change Note Types
PUT /ent/config/v1/noteTypes/{noteTypeCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeNoteTypesAsync(string noteTypeCode, NoteTypesToBeChanged body, CancellationToken ct = default)changePropertyDetailCategories
Section titled “changePropertyDetailCategories”Change Property Detail Categories
PUT /ent/config/v1/propertyDetailsCategories/{categoryCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangePropertyDetailCategoriesAsync(string categoryCode, PropertyDetailCategoriesToBeChanged body, CancellationToken ct = default)changeRegionsCode
Section titled “changeRegionsCode”Change Regions Code
PUT /ent/config/v1/regionCode/{regionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeRegionsCodeAsync(string regionCode, RegionsCodeToBeChanged body, CancellationToken ct = default)changeTelephoneBookCategories
Section titled “changeTelephoneBookCategories”Change Telephone Book Category
PUT /ent/config/v1/hotels/{hotelId}/telephoneBookCategories/{categoryCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTelephoneBookCategoriesAsync(string categoryCode, TelephoneBookCategoriesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeTelephoneBookEntries
Section titled “changeTelephoneBookEntries”Create Telephone Book Entries
PUT /ent/config/v1/hotels/{hotelId}/telephoneBookEntries/{entryId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTelephoneBookEntriesAsync(string entryId, TelephoneBookEntriesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeTemplateAirports
Section titled “changeTemplateAirports”Change template airports
PUT /ent/config/v1/airports/{airportCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTemplateAirportsAsync(string airportCode, TemplateAirportsToBeChanged body, CancellationToken ct = default)changeTemplateAmenities
Section titled “changeTemplateAmenities”Change template amenities
PUT /ent/config/v1/amenities/{featureCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTemplateAmenitiesAsync(string featureCode, TemplateAmenitiesToBeChanged body, CancellationToken ct = default)changeTemplateCodes
Section titled “changeTemplateCodes”Change Template Codes
PUT /ent/config/v1/templateCodes/{code} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTemplateCodesAsync(string code, TemplateCodesToBeChanged body, CancellationToken ct = default)changeTemplateCountries
Section titled “changeTemplateCountries”Change template Countries
PUT /ent/config/v1/countries/{countryCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTemplateCountriesAsync(string countryCode, TemplateCountriesToBeChanged body, CancellationToken ct = default)changeTemplateDayTypeCodes
Section titled “changeTemplateDayTypeCodes”Change Template Day Type Codes
PUT /ent/config/v1/dayTypeCodes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTemplateDayTypeCodesAsync(TemplateDayTypeCodesToBeChanged body, CancellationToken ct = default)changeTemplateHotelDetails
Section titled “changeTemplateHotelDetails”Change hotel details specified at the template level
PUT /ent/config/v1/hotelDetails · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTemplateHotelDetailsAsync(TemplateHotelDetailsToBeChanged body, CancellationToken ct = default)changeTemplateJobTitles
Section titled “changeTemplateJobTitles”Change template job titles
PUT /ent/config/v1/jobTitles/{jobTitleCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTemplateJobTitlesAsync(string jobTitleCode, TemplateJobTitlesToBeChanged body, CancellationToken ct = default)changeTemplateMarketingCities
Section titled “changeTemplateMarketingCities”Change template marketing cities
PUT /ent/config/v1/marketingCities/{cityCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTemplateMarketingCitiesAsync(string cityCode, TemplateMarketingCitiesToBeChanged body, CancellationToken ct = default)changeTransportation
Section titled “changeTransportation”modify transportation
PUT /ent/config/v1/hotels/{hotelId}/transportations/{transportationCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTransportationAsync(string transportationCode, TransportationToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeTransportationTemplates
Section titled “changeTransportationTemplates”Change transportation templates
PUT /ent/config/v1/transportations/{transportationCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeTransportationTemplatesAsync(string transportationCode, TransportationTemplatesToBeChanged body, CancellationToken ct = default)changeUpsertBrandCodes
Section titled “changeUpsertBrandCodes”Create/Change Brand Code
PUT /ent/config/v1/upsert/brandCodes/{brandCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeUpsertBrandCodesAsync(string brandCode, BrandCodesToBeChanged body, CancellationToken ct = default)changeUpsertTelephoneBookCategories
Section titled “changeUpsertTelephoneBookCategories”Create/Change Telephone Book Category
PUT /ent/config/v1/upsert/hotels/{hotelId}/telephoneBookCategories/{categoryCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeUpsertTelephoneBookCategoriesAsync(string categoryCode, TelephoneBookCategoriesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeUpsertTelephoneBookEntries
Section titled “changeUpsertTelephoneBookEntries”Create/Change Telephone Book Entries
PUT /ent/config/v1/upsert/hotels/{hotelId}/telephoneBookEntries · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeUpsertTelephoneBookEntriesAsync(TelephoneBookEntriesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeUpsertUserDefinedFieldGroups
Section titled “changeUpsertUserDefinedFieldGroups”Create/Change User Defined Field Groups
PUT /ent/config/v1/upsert/userDefinedFieldGroups/{udfGroupCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeUpsertUserDefinedFieldGroupsAsync(string udfGroupCode, UserDefinedFieldGroupsToBeChanged body, CancellationToken ct = default)changeUpsertUserDefinedFieldValues
Section titled “changeUpsertUserDefinedFieldValues”Create/Change a User Defined Field Value
PUT /ent/config/v1/upsert/userDefinedFieldValues/{udfValue} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeUpsertUserDefinedFieldValuesAsync(string udfValue, UserDefinedFieldValuesToBeChanged body, CancellationToken ct = default)changeUpsertYieldAdjustmentCodes
Section titled “changeUpsertYieldAdjustmentCodes”Create/Change Yield Adjustment Codes
PUT /ent/config/v1/upsert/hotels/{hotelId}/yieldAdjustmentCodes/{yieldAdjustmentCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeUpsertYieldAdjustmentCodesAsync(string yieldAdjustmentCode, YieldAdjustmentCodesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeUpsertYieldCategories
Section titled “changeUpsertYieldCategories”Create/Change Yield Category
PUT /ent/config/v1/upsert/hotels/{hotelId}/yieldCategories/{code} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeUpsertYieldCategoriesAsync(string code, YieldCategoriesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeUpsertYieldMarketTypes
Section titled “changeUpsertYieldMarketTypes”Create/Change Yield Market Types
PUT /ent/config/v1/upsert/yieldMarketTypes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeUpsertYieldMarketTypesAsync(YieldMarketTypesToBeChanged body, CancellationToken ct = default)changeUserDefinedFieldGroups
Section titled “changeUserDefinedFieldGroups”Change User Defined Field Groups
PUT /ent/config/v1/userDefinedFieldGroups/{udfGroupCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeUserDefinedFieldGroupsAsync(string udfGroupCode, UserDefinedFieldGroupsToBeChanged body, CancellationToken ct = default)changeUserDefinedFieldValues
Section titled “changeUserDefinedFieldValues”Change a User Defined Field Value
PUT /ent/config/v1/userDefinedFieldValues/{udfValue} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeUserDefinedFieldValuesAsync(string udfValue, UserDefinedFieldValuesToBeChanged body, CancellationToken ct = default)changeYieldAdjustmentCodes
Section titled “changeYieldAdjustmentCodes”Change Yield Adjustment Codes
PUT /ent/config/v1/hotels/{hotelId}/yieldAdjustmentCodes/{yieldAdjustmentCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeYieldAdjustmentCodesAsync(string yieldAdjustmentCode, YieldAdjustmentCodesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeYieldCategories
Section titled “changeYieldCategories”Change Yield Category
PUT /ent/config/v1/hotels/{hotelId}/yieldCategories/{code} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeYieldCategoriesAsync(string code, YieldCategoriesToBeChanged body, string? hotelId = null, CancellationToken ct = default)changeYieldMarketTypes
Section titled “changeYieldMarketTypes”Change Yield Market Types
PUT /ent/config/v1/yieldMarketTypes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.ChangeYieldMarketTypesAsync(YieldMarketTypesToBeChanged body, CancellationToken ct = default)copyDepartments
Section titled “copyDepartments”copy Departments
PUT /ent/config/v1/hotels/{sourceHotelId}/departments/copy · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.CopyDepartmentsAsync(string sourceHotelId, CopyDepartments body, CancellationToken ct = default)copyHotelDetails
Section titled “copyHotelDetails”Copy template hotel details to other properties
PUT /ent/config/v1/hotelDetails/copy · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.CopyHotelDetailsAsync(CopyHotelDetails body, CancellationToken ct = default)copyMarketingCities
Section titled “copyMarketingCities”Copy marketing cities to resorts
PUT /ent/config/v1/marketingCities/copy · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.CopyMarketingCitiesAsync(CopyMarketingCities body, CancellationToken ct = default)copyTemplateCodes
Section titled “copyTemplateCodes”Copy Template Codes
PUT /ent/config/v1/templateCodes/copy · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.CopyTemplateCodesAsync(CopyTemplateCodes body, CancellationToken ct = default)copyYieldAdjustmentCodes
Section titled “copyYieldAdjustmentCodes”copy Yield Adjustment Codes
PUT /ent/config/v1/hotels/{sourceHotelId}/yieldAdjustmentCodes/copy · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.CopyYieldAdjustmentCodesAsync(string sourceHotelId, CopyYieldAdjustmentCodes body, CancellationToken ct = default)copyYieldCategories
Section titled “copyYieldCategories”copy Yield Category
PUT /ent/config/v1/hotels/{sourceHotelId}/yieldCategories/copy · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.CopyYieldCategoriesAsync(string sourceHotelId, CopyYieldCategories body, CancellationToken ct = default)deleteAttractionClasses
Section titled “deleteAttractionClasses”Delete Attraction Classes
DELETE /ent/config/v1/attractionClasses/{attractionClassCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.DeleteAttractionClassesAsync(string attractionClassCode, CancellationToken ct = default)deleteCommunicationMethodsEntDetails
Section titled “deleteCommunicationMethodsEntDetails”Delete Communication Methods Ent Details
DELETE /ent/config/v1/communicationMethodsEntDetails/{communicationMethodsEntDetailsId} · chain-level · deprecated
Task<Status?> ctx.Ohip.Api.Entcfg.DeleteCommunicationMethodsEntDetailsAsync(string communicationMethodsEntDetailsId, string[]? communicationMethodsEntDetailsCodes = null, CancellationToken ct = default)deleteFlexField
Section titled “deleteFlexField”Operation to delete a flex field.
DELETE /ent/config/v1/hotels/{hotelId}/flexFields/{flexFieldId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.DeleteFlexFieldAsync(double flexFieldId, string? hotelId = null, CancellationToken ct = default)deleteMarketingRegions
Section titled “deleteMarketingRegions”Delete Marketing Regions
DELETE /ent/config/v1/marketingRegions/{marketingRegionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.DeleteMarketingRegionsAsync(string marketingRegionCode, string[]? marketingRegionsCodes = null, CancellationToken ct = default)deletePropertyTypes
Section titled “deletePropertyTypes”Delete Property Types
DELETE /ent/config/v1/propertyTypes/{propertyTypeCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.DeletePropertyTypesAsync(string propertyTypeCode, string[]? propertyTypesCodes = null, CancellationToken ct = default)deleteRoomAmenities
Section titled “deleteRoomAmenities”Delete Room Amenities
DELETE /ent/config/v1/roomAmenities/{roomAmenitiesId} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.DeleteRoomAmenitiesAsync(string roomAmenitiesId, string[]? roomAmenitiesCodes = null, CancellationToken ct = default)getAirports
Section titled “getAirports”Get resort airports
GET /ent/config/v1/hotels/{hotelId}/airports · hotel-scoped
Task<AirportsDetails?> ctx.Ohip.Api.Entcfg.GetAirportsAsync(string? hotelId = null, string[]? airportCodes = null, string[]? hotelIds = null, int? limit = null, int? pageNumber = null, CancellationToken ct = default)getAmenities
Section titled “getAmenities”Get amenities
GET /ent/config/v1/hotels/{hotelId}/amenities · hotel-scoped
Task<AmenitiesDetails?> ctx.Ohip.Api.Entcfg.GetAmenitiesAsync(string? hotelId = null, string[]? amenityCodes = null, bool? general = null, string[]? hotelIds = null, bool? meeting = null, CancellationToken ct = default)getAttractionClasses
Section titled “getAttractionClasses”Get Attraction Classes
GET /ent/config/v1/attractionClasses · chain-level
Task<AttractionClassesDetails?> ctx.Ohip.Api.Entcfg.GetAttractionClassesAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getAttractions
Section titled “getAttractions”Get Attractions
GET /ent/config/v1/hotels/{hotelId}/attractions · hotel-scoped
Task<AttractionsDetails?> ctx.Ohip.Api.Entcfg.GetAttractionsAsync(string? hotelId = null, string[]? attractionCodes = null, string[]? classCodes = null, string[]? hotelIds = null, string? wildCard = null, CancellationToken ct = default)getAttractionTemplates
Section titled “getAttractionTemplates”Get Attraction Template
GET /ent/config/v1/attractions · chain-level
Task<AttractionTemplatesDetails?> ctx.Ohip.Api.Entcfg.GetAttractionTemplatesAsync(string[]? attractionCodes = null, string[]? classCodes = null, string? wildCard = null, CancellationToken ct = default)getBrandCodes
Section titled “getBrandCodes”Get Brand Codes
GET /ent/config/v1/brandCodes · chain-level
Task<BrandCodesDetails?> ctx.Ohip.Api.Entcfg.GetBrandCodesAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getCentralConfig
Section titled “getCentralConfig”Lists the configurations managed centrally
GET /ent/config/v1/hotels/{hotelId}/centralConfigs/{config} · hotel-scoped
Task<CentralConfigsResponse?> ctx.Ohip.Api.Entcfg.GetCentralConfigAsync(string configValue, string? hotelId = null, CancellationToken ct = default)getChain
Section titled “getChain”Get Chains
GET /ent/config/v1/chain · chain-level
Task<ChainDetails?> ctx.Ohip.Api.Entcfg.GetChainAsync(string[]? chainCodes = null, string? chainName = null, bool? enforceSecurity = null, bool? includeActive = null, bool? includeInactive = null, int? limit = null, CancellationToken ct = default)getCommunicationMethodsEntDetails
Section titled “getCommunicationMethodsEntDetails”Get Communication Methods Ent Details
GET /ent/config/v1/communicationMethodsEntDetails · chain-level · deprecated
Task<CommunicationMethodsEntDetailsDetails?> ctx.Ohip.Api.Entcfg.GetCommunicationMethodsEntDetailsAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getConfigActivityLog
Section titled “getConfigActivityLog”Get Configuration Activity Logs
GET /ent/config/v1/configurations/activityLogs · chain-level
Task<ConfigActivityLogDetails?> ctx.Ohip.Api.Entcfg.GetConfigActivityLogAsync(string? hotelId = null, Action<ActivityLogsRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)getCorporateBusinessUnits
Section titled “getCorporateBusinessUnits”Get Corporate Business Units
GET /ent/config/v1/corporateBusinessUnits · chain-level
Task<CorporateBusinessUnitsDetails?> ctx.Ohip.Api.Entcfg.GetCorporateBusinessUnitsAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getCorporateDepartmentCodes
Section titled “getCorporateDepartmentCodes”Get Corporate Department Codes
GET /ent/config/v1/corporateDepartmentCodes · chain-level
Task<CorporateDepartmentCodesDetails?> ctx.Ohip.Api.Entcfg.GetCorporateDepartmentCodesAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getCorporateDivisions
Section titled “getCorporateDivisions”Get Corporate Divisions
GET /ent/config/v1/corporateDivisions · chain-level
Task<CorporateDivisionsDetails?> ctx.Ohip.Api.Entcfg.GetCorporateDivisionsAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getCorporateOperatingUnits
Section titled “getCorporateOperatingUnits”Get Corporate Operating Units
GET /ent/config/v1/corporateOperatingUnits · chain-level
Task<CorporateOperatingUnitsDetails?> ctx.Ohip.Api.Entcfg.GetCorporateOperatingUnitsAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getCountries
Section titled “getCountries”Get Countries
GET /ent/config/v1/hotels/{hotelId}/countries · hotel-scoped
Task<CountriesDetails?> ctx.Ohip.Api.Entcfg.GetCountriesAsync(string? hotelId = null, string[]? countriesCodes = null, int? limit = null, int? pageNumber = null, string? wildCard = null, CancellationToken ct = default)getCountryGuestTypes
Section titled “getCountryGuestTypes”Get Country Guest Types
GET /ent/config/v1/countries/guestTypes · chain-level
Task<CountryGuestTypesDetails?> ctx.Ohip.Api.Entcfg.GetCountryGuestTypesAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getCountryMainGroups
Section titled “getCountryMainGroups”Get Country Main Groups
GET /ent/config/v1/countryMainGroups · chain-level
Task<CountryMainGroupsDetails?> ctx.Ohip.Api.Entcfg.GetCountryMainGroupsAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getCreditCardTypes
Section titled “getCreditCardTypes”Get Credit Card Types
GET /ent/config/v1/hotels/{hotelId}/creditcardTypes · hotel-scoped
Task<CreditCardTypesDetails?> ctx.Ohip.Api.Entcfg.GetCreditCardTypesAsync(string? hotelId = null, string[]? codes = null, string? description = null, bool? fetchInactive = null, string[]? hotelIds = null, string? wildCard = null, CancellationToken ct = default)getCurrencyExchangeRates
Section titled “getCurrencyExchangeRates”Get Currency Exchange Rates
GET /ent/config/v1/currencyExchangeRates · chain-level
Task<CurrencyExchangeRatesDetails?> ctx.Ohip.Api.Entcfg.GetCurrencyExchangeRatesAsync(string? currencyCode = null, string[]? currencyCodes = null, GetExchangeTypeQueryParameterType? exchangeType = null, string[]? hotelIds = null, CancellationToken ct = default)getDefaultNote
Section titled “getDefaultNote”Get Default Note text
GET /ent/config/v1/defaultNote · chain-level
Task<DefaultNoteDetails?> ctx.Ohip.Api.Entcfg.GetDefaultNoteAsync(string? hotelId = null, string? noteCode = null, string? noteType = null, CancellationToken ct = default)getDepartments
Section titled “getDepartments”Get Departments
GET /ent/config/v1/departments · chain-level
Task<DepartmentsDetails?> ctx.Ohip.Api.Entcfg.GetDepartmentsAsync(string[]? departmentCodes = null, string? departmentWildCard = null, string[]? hotelIds = null, CancellationToken ct = default)getFlexField
Section titled “getFlexField”Operation to fetch the flex field details.
GET /ent/config/v1/hotels/{hotelId}/flexFields/{flexFieldId} · hotel-scoped
Task<FlexFieldCriteria?> ctx.Ohip.Api.Entcfg.GetFlexFieldAsync(double flexFieldId, string? hotelId = null, CancellationToken ct = default)getFlexFields
Section titled “getFlexFields”Operation to fetch flex fields.
GET /ent/config/v1/flexFields · chain-level
Task<FlexFieldsResponse?> ctx.Ohip.Api.Entcfg.GetFlexFieldsAsync(string? code = null, bool? fetchInactive = null, double? flexFieldId = null, string[]? hotelIds = null, int? limit = null, string? module = null, int? offset = null, CancellationToken ct = default)getHotel
Section titled “getHotel”Get a Hotel
GET /ent/config/v1/hotels/{hotelId} · hotel-scoped
Task<HotelDetails?> ctx.Ohip.Api.Entcfg.GetHotelAsync(string? hotelId = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, CancellationToken ct = default)getHotelBrochure
Section titled “getHotelBrochure”Get Hotel Brochure
GET /ent/config/v1/hotels/{hotelId}/hotelBrochure · hotel-scoped
Task<HotelBrochureDetails?> ctx.Ohip.Api.Entcfg.GetHotelBrochureAsync(string? hotelId = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, CancellationToken ct = default)getHotelCalendar
Section titled “getHotelCalendar”Get Hotel Calendar
GET /ent/config/v1/hotels/{hotelId}/calendar · hotel-scoped
Task<HotelCalendarDetails?> ctx.Ohip.Api.Entcfg.GetHotelCalendarAsync(string? hotelId = null, Date? endDate = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, Date? startDate = null, CancellationToken ct = default)getHotelCategories
Section titled “getHotelCategories”Get Hotel Categories
GET /ent/config/v1/hotelCategories · chain-level
Task<HotelCategoriesDetails?> ctx.Ohip.Api.Entcfg.GetHotelCategoriesAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getHotelDayTypeCodes
Section titled “getHotelDayTypeCodes”Get Hotel Day Type Codes
GET /ent/config/v1/hotels/{hotelId}/dayTypeCodes · hotel-scoped
Task<HotelDayTypeCodesDetails?> ctx.Ohip.Api.Entcfg.GetHotelDayTypeCodesAsync(string? hotelId = null, string[]? dayTypesCodes = null, string[]? hotelIds = null, string? wildCard = null, CancellationToken ct = default)getHotelDetails
Section titled “getHotelDetails”Get hotel details
GET /ent/config/v1/hotels/{hotelId}/hotelDetails · hotel-scoped
Task<HotelDetailsDetails?> ctx.Ohip.Api.Entcfg.GetHotelDetailsAsync(string? hotelId = null, string[]? hotelDetailCategoriesCodes = null, string[]? hotelDetailCodes = null, string[]? hotelIds = null, CancellationToken ct = default)getHotels
Section titled “getHotels”Get Hotels
GET /ent/config/v1/hotels · chain-level
Task<HotelsDetails?> ctx.Ohip.Api.Entcfg.GetHotelsAsync(string? hotelId = null, string? countryCode = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, string? marketingCity = null, string? marketingRegionCode = null, string? name = null, string[]? propertyTypeCode = null, CancellationToken ct = default)getIframeDomain
Section titled “getIframeDomain”Operation to fetch list of supported IFrame domains.
GET /ent/config/v1/iframes/domains/{domainName} · chain-level
Task<IframeDomainsDetails?> ctx.Ohip.Api.Entcfg.GetIframeDomainAsync(string domainName, CancellationToken ct = default)getIframeDomains
Section titled “getIframeDomains”Operation to fetch list of supported IFrame domains.
GET /ent/config/v1/iframes/domains · chain-level
Task<IframeDomainslistDetails?> ctx.Ohip.Api.Entcfg.GetIframeDomainsAsync(string? domainName = null, CancellationToken ct = default)getJobTitles
Section titled “getJobTitles”Get resort job titles
GET /ent/config/v1/hotels/{hotelId}/jobTitles · hotel-scoped
Task<JobTitlesDetails?> ctx.Ohip.Api.Entcfg.GetJobTitlesAsync(string? hotelId = null, string[]? hotelIds = null, string[]? jobTitleCodes = null, CancellationToken ct = default)getLanguages
Section titled “getLanguages”Get Languages
GET /ent/config/v1/languages · chain-level
Task<LanguagesDetails?> ctx.Ohip.Api.Entcfg.GetLanguagesAsync(string? description = null, string[]? languageCodes = null, bool? useAsAlternateLanguage = null, CancellationToken ct = default)getMarketingCities
Section titled “getMarketingCities”Get resort marketing cities
GET /ent/config/v1/hotels/{hotelId}/marketingCities · hotel-scoped
Task<MarketingCitiesDetails?> ctx.Ohip.Api.Entcfg.GetMarketingCitiesAsync(string? hotelId = null, string? description = null, string[]? hotelIds = null, bool? includeInactive = null, int? limit = null, string[]? marketingCitys = null, int? pageNumber = null, string[]? regionCodes = null, CancellationToken ct = default)getMarketingCitiesByRegion
Section titled “getMarketingCitiesByRegion”Get marketing cities by region
GET /ent/config/v1/marketingCitiesByRegion · chain-level
Task<MarketingCitiesByRegionDetails?> ctx.Ohip.Api.Entcfg.GetMarketingCitiesByRegionAsync(string? marketingCity = null, string? regionCode = null, CancellationToken ct = default)getMarketingRegions
Section titled “getMarketingRegions”Get Marketing Regions
GET /ent/config/v1/marketingRegions · chain-level
Task<MarketingRegionsDetails?> ctx.Ohip.Api.Entcfg.GetMarketingRegionsAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getNoteTypes
Section titled “getNoteTypes”Get Note Types
GET /ent/config/v1/noteTypes · chain-level
Task<NoteTypesDetails?> ctx.Ohip.Api.Entcfg.GetNoteTypesAsync(string[]? codes = null, bool? includeDepartmentDetails = null, bool? includeInactive = null, string? noteCode = null, string? noteGroup = null, CancellationToken ct = default)getOperaAppUrl
Section titled “getOperaAppUrl”Fetch all OPERA applications url
GET /ent/config/v1/operaAppUrl · chain-level
Task<OperaAppUrlResponse?> ctx.Ohip.Api.Entcfg.GetOperaAppUrlAsync(CancellationToken ct = default)getOperaHotelContext
Section titled “getOperaHotelContext”Get Opera Hotel Context
GET /ent/config/v1/hotels/{hotelId}/operaContext · hotel-scoped
Task<OperaHotelContextDetails?> ctx.Ohip.Api.Entcfg.GetOperaHotelContextAsync(string? hotelId = null, CancellationToken ct = default)getOperaParameters
Section titled “getOperaParameters”Get OPERA Parameters
GET /ent/config/v1/parameters · chain-level
Task<OperaParametersDetails?> ctx.Ohip.Api.Entcfg.GetOperaParametersAsync(string[]? parameterName = null, CancellationToken ct = default)getOperaSettings
Section titled “getOperaSettings”Get OPERA Settings
GET /ent/config/v1/settings · chain-level
Task<OperaSettingsDetails?> ctx.Ohip.Api.Entcfg.GetOperaSettingsAsync(string? hotelId = null, string? cROCode = null, string? parameterNameWildCard = null, CancellationToken ct = default)getOperation
Section titled “getOperation”Fetch all operations
GET /ent/config/v1/operation · chain-level
Task<OperationResponse?> ctx.Ohip.Api.Entcfg.GetOperationAsync(string? code = null, string? operation = null, CancellationToken ct = default)getPropertyCalendar
Section titled “getPropertyCalendar”Get Hotel Calendar
GET /ent/config/v1/calendar · chain-level
Task<HotelCalendarDetails?> ctx.Ohip.Api.Entcfg.GetPropertyCalendarAsync(string? hotelId = null, Date? endDate = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, Date? startDate = null, CancellationToken ct = default)getPropertyDetailCategories
Section titled “getPropertyDetailCategories”Get Property Detail Categories
GET /ent/config/v1/propertyDetailsCategories · chain-level
Task<PropertyDetailCategoriesDetails?> ctx.Ohip.Api.Entcfg.GetPropertyDetailCategoriesAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getPropertyTypes
Section titled “getPropertyTypes”Get Property Types
GET /ent/config/v1/propertyTypes · chain-level
Task<PropertyTypesDetails?> ctx.Ohip.Api.Entcfg.GetPropertyTypesAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getRegionsCode
Section titled “getRegionsCode”Get Regions Code
GET /ent/config/v1/regionCode · chain-level
Task<RegionsCodeDetails?> ctx.Ohip.Api.Entcfg.GetRegionsCodeAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getRoomAmenities
Section titled “getRoomAmenities”Get Room Amenities
GET /ent/config/v1/roomAmenities · chain-level
Task<RoomAmenitiesDetails?> ctx.Ohip.Api.Entcfg.GetRoomAmenitiesAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getTelephoneBookCategories
Section titled “getTelephoneBookCategories”Get Telephone Book Category
GET /ent/config/v1/hotels/{hotelId}/telephoneBookCategories · hotel-scoped
Task<TelephoneBookCategoriesDetails?> ctx.Ohip.Api.Entcfg.GetTelephoneBookCategoriesAsync(string? hotelId = null, string[]? codes = null, string? wildCard = null, CancellationToken ct = default)getTelephoneBookEntries
Section titled “getTelephoneBookEntries”Get Telephone Book Entries
GET /ent/config/v1/hotels/{hotelId}/telephoneBookEntries · hotel-scoped · deprecated
Task<TelephoneBookEntriesDetails?> ctx.Ohip.Api.Entcfg.GetTelephoneBookEntriesAsync(string? hotelId = null, string? category = null, string? name = null, CancellationToken ct = default)getTemplateAirports
Section titled “getTemplateAirports”Get template airports
GET /ent/config/v1/airports · chain-level
Task<TemplateAirportsDetails?> ctx.Ohip.Api.Entcfg.GetTemplateAirportsAsync(string[]? airportCodes = null, CancellationToken ct = default)getTemplateAmenities
Section titled “getTemplateAmenities”Get template amenities
GET /ent/config/v1/amenities · chain-level
Task<TemplateAmenitiesDetails?> ctx.Ohip.Api.Entcfg.GetTemplateAmenitiesAsync(string[]? amenityCodes = null, bool? general = null, bool? meeting = null, CancellationToken ct = default)getTemplateCodes
Section titled “getTemplateCodes”Get Template Codes
GET /ent/config/v1/templateCodes · chain-level
Task<TemplateCodesDetails?> ctx.Ohip.Api.Entcfg.GetTemplateCodesAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)getTemplateCountries
Section titled “getTemplateCountries”Get template Countries
GET /ent/config/v1/countries · chain-level
Task<TemplateCountriesDetails?> ctx.Ohip.Api.Entcfg.GetTemplateCountriesAsync(string[]? countriesCodes = null, string? wildCard = null, CancellationToken ct = default)getTemplateDayTypeCodes
Section titled “getTemplateDayTypeCodes”Get Template Day Type Codes
GET /ent/config/v1/dayTypeCodes · chain-level
Task<TemplateDayTypeCodesDetails?> ctx.Ohip.Api.Entcfg.GetTemplateDayTypeCodesAsync(string[]? dayTypesCodes = null, string? wildCard = null, CancellationToken ct = default)getTemplateHotelDetails
Section titled “getTemplateHotelDetails”Get hotel details specified at the template level
GET /ent/config/v1/hotelDetails · chain-level
Task<TemplateHotelDetailsDetails?> ctx.Ohip.Api.Entcfg.GetTemplateHotelDetailsAsync(string[]? hotelDetailCategoriesCodes = null, string[]? hotelDetailCodes = null, CancellationToken ct = default)getTemplateJobTitles
Section titled “getTemplateJobTitles”Get template job titles
GET /ent/config/v1/jobTitles · chain-level
Task<TemplateJobTitlesDetails?> ctx.Ohip.Api.Entcfg.GetTemplateJobTitlesAsync(string[]? jobTitleCodes = null, CancellationToken ct = default)getTemplateMarketingCities
Section titled “getTemplateMarketingCities”Get template marketing cities
GET /ent/config/v1/marketingCities · chain-level
Task<TemplateMarketingCitiesDetails?> ctx.Ohip.Api.Entcfg.GetTemplateMarketingCitiesAsync(string? description = null, bool? includeInactive = null, int? limit = null, string[]? marketingCitys = null, int? pageNumber = null, string[]? regionCodes = null, CancellationToken ct = default)getTransportation
Section titled “getTransportation”Get transportation
GET /ent/config/v1/hotels/{hotelId}/transportations · hotel-scoped
Task<TransportationDetails?> ctx.Ohip.Api.Entcfg.GetTransportationAsync(string? hotelId = null, string[]? hotelIds = null, string[]? transportationCodes = null, string? wildCard = null, CancellationToken ct = default)getTransportationTemplates
Section titled “getTransportationTemplates”Get transportation templates
GET /ent/config/v1/transportations · chain-level
Task<TransportationTemplatesDetails?> ctx.Ohip.Api.Entcfg.GetTransportationTemplatesAsync(string[]? transportationCodes = null, string? wildCard = null, CancellationToken ct = default)getUserDefinedFieldGroups
Section titled “getUserDefinedFieldGroups”Get User Defined Field Groups
GET /ent/config/v1/userDefinedFieldGroups · chain-level
Task<UserDefinedFieldGroupsDetails?> ctx.Ohip.Api.Entcfg.GetUserDefinedFieldGroupsAsync(string? descriptionWildCard = null, string[]? groupCodes = null, CancellationToken ct = default)getUserDefinedFieldValues
Section titled “getUserDefinedFieldValues”Get User Defined Field (UDF) Values+E814
GET /ent/config/v1/userDefinedFieldValues · chain-level
Task<UserDefinedFieldValuesDetails?> ctx.Ohip.Api.Entcfg.GetUserDefinedFieldValuesAsync(string? descriptionWildCard = null, string? groupCode = null, string[]? valueCodes = null, CancellationToken ct = default)getYieldAdjustmentCodes
Section titled “getYieldAdjustmentCodes”Get Yield Adjustment Codes
GET /ent/config/v1/hotels/{hotelId}/yieldAdjustmentCodes · hotel-scoped
Task<YieldAdjustmentCodesDetails?> ctx.Ohip.Api.Entcfg.GetYieldAdjustmentCodesAsync(string? hotelId = null, string[]? hotelIds = null, GetTypeQueryParameterType? type = null, string? wildCard = null, string[]? yieldAdjustmentCodes = null, CancellationToken ct = default)getYieldCategories
Section titled “getYieldCategories”Get Yield Category
GET /ent/config/v1/hotels/{hotelId}/yieldCategories · hotel-scoped
Task<YieldCategoriesDetails?> ctx.Ohip.Api.Entcfg.GetYieldCategoriesAsync(string? hotelId = null, string? wildCard = null, string[]? yieldCategoriesCodes = null, CancellationToken ct = default)getYieldMarketTypes
Section titled “getYieldMarketTypes”Get Yield Market Types
GET /ent/config/v1/yieldMarketTypes · chain-level
Task<YieldMarketTypesDetails?> ctx.Ohip.Api.Entcfg.GetYieldMarketTypesAsync(string? hotelId = null, string? wildCard = null, string[]? yieldMarketTypesCodes = null, CancellationToken ct = default)pingChainConfigServices
Section titled “pingChainConfigServices”ping
GET /ent/config/v1/services/chainConfig/status · chain-level
Task<OperaVersion?> ctx.Ohip.Api.Entcfg.PingChainConfigServicesAsync(CancellationToken ct = default)pingExternalConfigServices
Section titled “pingExternalConfigServices”ping
GET /ent/config/v1/services/externalConfig/status · chain-level
Task<OperaVersion?> ctx.Ohip.Api.Entcfg.PingExternalConfigServicesAsync(CancellationToken ct = default)pingHotelConfigServices
Section titled “pingHotelConfigServices”ping
GET /ent/config/v1/services/hotelConfig/status · chain-level
Task<OperaVersion?> ctx.Ohip.Api.Entcfg.PingHotelConfigServicesAsync(CancellationToken ct = default)postAirports
Section titled “postAirports”Create new resort airports
POST /ent/config/v1/hotels/{hotelId}/airports · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostAirportsAsync(AirportsCriteria body, string? hotelId = null, CancellationToken ct = default)postAlternateHotels
Section titled “postAlternateHotels”Create Alternate Hotels
POST /ent/config/v1/hotels/{hotelId}/alternates · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostAlternateHotelsAsync(AlternateHotelsCriteria body, string? hotelId = null, CancellationToken ct = default)postAmenities
Section titled “postAmenities”Create amenities
POST /ent/config/v1/hotels/{hotelId}/amenities · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostAmenitiesAsync(AmenitiesCriteria body, string? hotelId = null, CancellationToken ct = default)postAttractionClasses
Section titled “postAttractionClasses”Create Attraction Classes
POST /ent/config/v1/attractionClasses · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostAttractionClassesAsync(AttractionClassesCriteria body, CancellationToken ct = default)postAttractions
Section titled “postAttractions”Create Attractions
POST /ent/config/v1/hotels/{hotelId}/attractions · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostAttractionsAsync(AttractionsCriteria body, string? hotelId = null, CancellationToken ct = default)postAttractionTemplates
Section titled “postAttractionTemplates”Create Attraction Template
POST /ent/config/v1/attractions · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostAttractionTemplatesAsync(AttractionTemplatesCriteria body, CancellationToken ct = default)postBrandCodes
Section titled “postBrandCodes”Create Brand Codes
POST /ent/config/v1/brandCodes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostBrandCodesAsync(BrandCodesCriteria body, CancellationToken ct = default)postCommunicationMethodsEntDetails
Section titled “postCommunicationMethodsEntDetails”Create Communication Methods Ent Details
POST /ent/config/v1/communicationMethodsEntDetails · chain-level · deprecated
Task<Status?> ctx.Ohip.Api.Entcfg.PostCommunicationMethodsEntDetailsAsync(CommunicationMethodsEntDetailsCriteria body, CancellationToken ct = default)postConfigActivityLog
Section titled “postConfigActivityLog”Create a new Config Activity Log
POST /ent/config/v1/configurations/activityLogs · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostConfigActivityLogAsync(CreateConfigActivityLogCriteria body, CancellationToken ct = default)postCorporateBusinessUnits
Section titled “postCorporateBusinessUnits”Create Corporate Business Units
POST /ent/config/v1/corporateBusinessUnits · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostCorporateBusinessUnitsAsync(CorporateBusinessUnitsCriteria body, CancellationToken ct = default)postCorporateDepartmentCodes
Section titled “postCorporateDepartmentCodes”Create Corporate Department Codes
POST /ent/config/v1/corporateDepartmentCodes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostCorporateDepartmentCodesAsync(CorporateDepartmentCodesCriteria body, CancellationToken ct = default)postCorporateDivisions
Section titled “postCorporateDivisions”Create Corporate Divisions
POST /ent/config/v1/corporateDivisions · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostCorporateDivisionsAsync(CorporateDivisionsCriteria body, CancellationToken ct = default)postCorporateOperatingUnits
Section titled “postCorporateOperatingUnits”Create Corporate Operating Units
POST /ent/config/v1/corporateOperatingUnits · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostCorporateOperatingUnitsAsync(CorporateOperatingUnitsCriteria body, CancellationToken ct = default)postCountryGuestTypes
Section titled “postCountryGuestTypes”Create Country Guest Types
POST /ent/config/v1/countries/guestTypes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostCountryGuestTypesAsync(CountryGuestTypesCriteria body, CancellationToken ct = default)postCountryMainGroups
Section titled “postCountryMainGroups”Create Country Main Groups
POST /ent/config/v1/countryMainGroups · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostCountryMainGroupsAsync(CountryMainGroupsCriteria body, CancellationToken ct = default)postCreditCardTypes
Section titled “postCreditCardTypes”Create Credit Card Types
POST /ent/config/v1/hotels/{hotelId}/creditcardTypes · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostCreditCardTypesAsync(CreditCardTypesCriteria body, string? hotelId = null, CancellationToken ct = default)postDeleteTransportation
Section titled “postDeleteTransportation”Delete transportation
POST /ent/config/v1/hotels/{hotelId}/transportations/{transportationCode}/deletions · hotel-scoped
Task<TransportationDetails?> ctx.Ohip.Api.Entcfg.PostDeleteTransportationAsync(string transportationCode, DeleteTransportationRequest body, string? hotelId = null, CancellationToken ct = default)postDepartments
Section titled “postDepartments”Create Departments
POST /ent/config/v1/departments · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostDepartmentsAsync(DepartmentsCriteria body, CancellationToken ct = default)postFlexField
Section titled “postFlexField”Operation to create a flex field.
POST /ent/config/v1/flexFields · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostFlexFieldAsync(FlexFieldCriteria body, CancellationToken ct = default)postHotelCategories
Section titled “postHotelCategories”Create Hotel Categories
POST /ent/config/v1/hotelCategories · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostHotelCategoriesAsync(HotelCategoriesCriteria body, CancellationToken ct = default)postHotelContacts
Section titled “postHotelContacts”Create Hotel Contacts
POST /ent/config/v1/hotels/{hotelId}/contacts · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostHotelContactsAsync(HotelContactsCriteria body, string? hotelId = null, CancellationToken ct = default)postHotelDayTypeCodes
Section titled “postHotelDayTypeCodes”Create Hotel Day Type Codes
POST /ent/config/v1/hotels/{hotelId}/dayTypeCodes · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostHotelDayTypeCodesAsync(HotelDayTypeCodesCriteria body, string? hotelId = null, CancellationToken ct = default)postHotelNotes
Section titled “postHotelNotes”Create Note information
POST /ent/config/v1/hotels/{hotelId}/notes · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostHotelNotesAsync(HotelNotesCriteria body, string? hotelId = null, CancellationToken ct = default)postHotelRateRanges
Section titled “postHotelRateRanges”Create Rate Range information
POST /ent/config/v1/hotels/{hotelId}/rateRanges · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostHotelRateRangesAsync(HotelRateRangesCriteria body, string? hotelId = null, CancellationToken ct = default)postHotelRestaurants
Section titled “postHotelRestaurants”Create restaurant information
POST /ent/config/v1/hotels/{hotelId}/restaurants · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostHotelRestaurantsAsync(HotelRestaurantsCriteria body, string? hotelId = null, CancellationToken ct = default)postIframeDomains
Section titled “postIframeDomains”Operation to add a new supported Iframe Domain.
POST /ent/config/v1/iframes/domains · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostIframeDomainsAsync(IframeDomainsDetails body, CancellationToken ct = default)postJobTitles
Section titled “postJobTitles”Create new resort job titles
POST /ent/config/v1/hotels/{hotelId}/jobTitles · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostJobTitlesAsync(JobTitlesCriteria body, string? hotelId = null, CancellationToken ct = default)postLanguages
Section titled “postLanguages”Create Languages
POST /ent/config/v1/languages · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostLanguagesAsync(LanguagesCriteria body, CancellationToken ct = default)postMarketingCities
Section titled “postMarketingCities”Create new resort marketing cities
POST /ent/config/v1/hotels/{hotelId}/marketingCities · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostMarketingCitiesAsync(MarketingCitiesCriteria body, string? hotelId = null, CancellationToken ct = default)postMarketingRegions
Section titled “postMarketingRegions”Create Marketing Regions
POST /ent/config/v1/marketingRegions · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostMarketingRegionsAsync(MarketingRegionsCriteria body, CancellationToken ct = default)postNoteTypes
Section titled “postNoteTypes”Create Note Types
POST /ent/config/v1/noteTypes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostNoteTypesAsync(NoteTypesCriteria body, CancellationToken ct = default)postPropertyDetailCategories
Section titled “postPropertyDetailCategories”Create Property Detail Categories
POST /ent/config/v1/propertyDetailsCategories · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostPropertyDetailCategoriesAsync(PropertyDetailCategoriesCriteria body, CancellationToken ct = default)postPropertyTypes
Section titled “postPropertyTypes”Create Property Types
POST /ent/config/v1/propertyTypes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostPropertyTypesAsync(PropertyTypesCriteria body, CancellationToken ct = default)postRegionsCode
Section titled “postRegionsCode”Create Regions Code
POST /ent/config/v1/regionCode · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostRegionsCodeAsync(RegionsCodeCriteria body, CancellationToken ct = default)postRoomAmenities
Section titled “postRoomAmenities”Create Room Amenities
POST /ent/config/v1/roomAmenities · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostRoomAmenitiesAsync(RoomAmenitiesCriteria body, CancellationToken ct = default)postTelephoneBookCategories
Section titled “postTelephoneBookCategories”Create Telephone Book Category
POST /ent/config/v1/hotels/{hotelId}/telephoneBookCategories · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostTelephoneBookCategoriesAsync(TelephoneBookCategoriesCriteria body, string? hotelId = null, CancellationToken ct = default)postTelephoneBookEntries
Section titled “postTelephoneBookEntries”Create Telephone Book Entries
POST /ent/config/v1/hotels/{hotelId}/telephoneBookEntries · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostTelephoneBookEntriesAsync(TelephoneBookEntriesCriteria body, string? hotelId = null, CancellationToken ct = default)postTemplateAirports
Section titled “postTemplateAirports”Create new template airports
POST /ent/config/v1/airports · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostTemplateAirportsAsync(TemplateAirportsCriteria body, CancellationToken ct = default)postTemplateAmenities
Section titled “postTemplateAmenities”Create template amenities
POST /ent/config/v1/amenities · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostTemplateAmenitiesAsync(TemplateAmenitiesCriteria body, CancellationToken ct = default)postTemplateCodes
Section titled “postTemplateCodes”Create Template Codes
POST /ent/config/v1/templateCodes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostTemplateCodesAsync(TemplateCodesCriteria body, CancellationToken ct = default)postTemplateCountries
Section titled “postTemplateCountries”Create template Countries
POST /ent/config/v1/countries · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostTemplateCountriesAsync(TemplateCountriesCriteria body, CancellationToken ct = default)postTemplateDayTypeCodes
Section titled “postTemplateDayTypeCodes”Create Template Day Type Codes
POST /ent/config/v1/dayTypeCodes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostTemplateDayTypeCodesAsync(TemplateDayTypeCodesCriteria body, CancellationToken ct = default)postTemplateHotelDetails
Section titled “postTemplateHotelDetails”Create hotel details at the template level
POST /ent/config/v1/hotelDetails · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostTemplateHotelDetailsAsync(TemplateHotelDetailsCriteria body, CancellationToken ct = default)postTemplateJobTitles
Section titled “postTemplateJobTitles”Create new template job titles
POST /ent/config/v1/jobTitles · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostTemplateJobTitlesAsync(TemplateJobTitlesCriteria body, CancellationToken ct = default)postTemplateMarketingCities
Section titled “postTemplateMarketingCities”Create new template marketing cities
POST /ent/config/v1/marketingCities · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostTemplateMarketingCitiesAsync(TemplateMarketingCitiesCriteria body, CancellationToken ct = default)postTransportation
Section titled “postTransportation”Create transportation
POST /ent/config/v1/hotels/{hotelId}/transportations · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostTransportationAsync(TransportationCriteria body, string? hotelId = null, CancellationToken ct = default)postTransportationTemplates
Section titled “postTransportationTemplates”Create transportation templates
POST /ent/config/v1/transportations · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostTransportationTemplatesAsync(TransportationTemplatesCriteria body, CancellationToken ct = default)postUserDefinedFieldGroups
Section titled “postUserDefinedFieldGroups”Create User Defined Field Groups
POST /ent/config/v1/userDefinedFieldGroups · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostUserDefinedFieldGroupsAsync(UserDefinedFieldGroupsCriteria body, CancellationToken ct = default)postUserDefinedFieldValues
Section titled “postUserDefinedFieldValues”Create User Defined Field (UDF) Values
POST /ent/config/v1/userDefinedFieldValues · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostUserDefinedFieldValuesAsync(UserDefinedFieldValuesCriteria body, CancellationToken ct = default)postYieldAdjustmentCodes
Section titled “postYieldAdjustmentCodes”Create Yield Adjustment Codes
POST /ent/config/v1/hotels/{hotelId}/yieldAdjustmentCodes · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostYieldAdjustmentCodesAsync(YieldAdjustmentCodesCriteria body, string? hotelId = null, CancellationToken ct = default)postYieldCategories
Section titled “postYieldCategories”Create Yield Category
POST /ent/config/v1/hotels/{hotelId}/yieldCategories · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PostYieldCategoriesAsync(YieldCategoriesCriteria body, string? hotelId = null, CancellationToken ct = default)postYieldMarketTypes
Section titled “postYieldMarketTypes”Create Yield Market Types
POST /ent/config/v1/yieldMarketTypes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PostYieldMarketTypesAsync(YieldMarketTypesCriteria body, CancellationToken ct = default)putAttractionClasses
Section titled “putAttractionClasses”Change Attraction Classes
PUT /ent/config/v1/attractionClasses/{attractionClassCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PutAttractionClassesAsync(string attractionClassCode, AttractionClassesToBeChanged body, CancellationToken ct = default)putChain
Section titled “putChain”Change Chain
PUT /ent/config/v1/chain/{chainCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PutChainAsync(string chainCode, ChainToBeChanged body, CancellationToken ct = default)putCommunicationMethodsEntDetails
Section titled “putCommunicationMethodsEntDetails”Change Communication Methods Ent Details
PUT /ent/config/v1/communicationMethodsEntDetails/{communicationMethodsEntDetailsId} · chain-level · deprecated
Task<Status?> ctx.Ohip.Api.Entcfg.PutCommunicationMethodsEntDetailsAsync(string communicationMethodsEntDetailsId, CommunicationMethodsEntDetailsToBeChanged body, CancellationToken ct = default)putHotel
Section titled “putHotel”Update hotel information
PUT /ent/config/v1/hotels/{hotelId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.PutHotelAsync(HotelToBeChanged body, string? hotelId = null, CancellationToken ct = default)putIframeDomain
Section titled “putIframeDomain”Operation to add a new supported Iframe Domain.
PUT /ent/config/v1/iframes/domains/{domainName} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PutIframeDomainAsync(string domainName, IframeDomainsDetails body, CancellationToken ct = default)putMarketingRegions
Section titled “putMarketingRegions”Change Marketing Regions
PUT /ent/config/v1/marketingRegions/{marketingRegionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PutMarketingRegionsAsync(string marketingRegionCode, MarketingRegionsToBeChanged body, CancellationToken ct = default)putPropertyTypes
Section titled “putPropertyTypes”Change Property Types
PUT /ent/config/v1/propertyTypes/{propertyTypeCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PutPropertyTypesAsync(string propertyTypeCode, PropertyTypesToBeChanged body, CancellationToken ct = default)putRoomAmenities
Section titled “putRoomAmenities”Change Room Amenities
PUT /ent/config/v1/roomAmenities/{roomAmenitiesId} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.PutRoomAmenitiesAsync(string roomAmenitiesId, RoomAmenitiesToBeChanged body, CancellationToken ct = default)removeAirports
Section titled “removeAirports”Delete resort airports
DELETE /ent/config/v1/hotels/{hotelId}/airports/{airportCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveAirportsAsync(string airportCode, string? hotelId = null, CancellationToken ct = default)removeAlternateHotels
Section titled “removeAlternateHotels”Delete Alternate Hotels
DELETE /ent/config/v1/hotels/{hotelId}/alternates/{alternateHotelId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveAlternateHotelsAsync(string alternateHotelId, string? hotelId = null, CancellationToken ct = default)removeAmenities
Section titled “removeAmenities”Delete amenities
DELETE /ent/config/v1/hotels/{hotelId}/amenities/{featureCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveAmenitiesAsync(string featureCode, string? hotelId = null, Date?[]? beginDate = null, CancellationToken ct = default)removeAttractions
Section titled “removeAttractions”Delete Attractions
DELETE /ent/config/v1/hotels/{hotelId}/attractions/{attractionCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveAttractionsAsync(string attractionCode, string? hotelId = null, string[]? attractionCodes = null, CancellationToken ct = default)removeAttractionsByCode
Section titled “removeAttractionsByCode”Delete Attractions
DELETE /ent/config/v1/hotels/attractions/{attractionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveAttractionsByCodeAsync(string attractionCode, string[]? hotelIdValue = null, CancellationToken ct = default)removeAttractionTemplates
Section titled “removeAttractionTemplates”Delete an existing attraction template
DELETE /ent/config/v1/attractions/{attractionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveAttractionTemplatesAsync(string attractionCode, CancellationToken ct = default)removeBrandCodes
Section titled “removeBrandCodes”Delete Brand Code
DELETE /ent/config/v1/brandCodes/{brandCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveBrandCodesAsync(string brandCode, string[]? brandCodesCodes = null, CancellationToken ct = default)removeCorporateBusinessUnits
Section titled “removeCorporateBusinessUnits”Delete Corporate Business Units
DELETE /ent/config/v1/corporateBusinessUnits/{businessUnitCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveCorporateBusinessUnitsAsync(string businessUnitCode, string[]? corporateBusinessUnitsCodes = null, CancellationToken ct = default)removeCorporateDepartmentCodes
Section titled “removeCorporateDepartmentCodes”Delete Corporate Department Codes
DELETE /ent/config/v1/corporateDepartmentCodes/{departmentCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveCorporateDepartmentCodesAsync(string departmentCode, CancellationToken ct = default)removeCorporateDivisions
Section titled “removeCorporateDivisions”Delete Corporate Divisions
DELETE /ent/config/v1/corporateDivisions/{divisionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveCorporateDivisionsAsync(string divisionCode, string[]? corporateDivisionsCodes = null, CancellationToken ct = default)removeCorporateOperatingUnits
Section titled “removeCorporateOperatingUnits”Delete Corporate Operating Units
DELETE /ent/config/v1/corporateOperatingUnits/{operatingUnitCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveCorporateOperatingUnitsAsync(string operatingUnitCode, string[]? corporateOperatingUnitsCodes = null, CancellationToken ct = default)removeCountryGuestTypes
Section titled “removeCountryGuestTypes”Delete Country Guest Types
DELETE /ent/config/v1/countries/guestTypes/{guestTypeCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveCountryGuestTypesAsync(string guestTypeCode, string[]? countryGuestTypesCodes = null, CancellationToken ct = default)removeCountryMainGroups
Section titled “removeCountryMainGroups”Delete Country Main Groups
DELETE /ent/config/v1/countryMainGroups/{groupCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveCountryMainGroupsAsync(string groupCode, string[]? countryMainGroupsCodes = null, CancellationToken ct = default)removeCreditCardTypes
Section titled “removeCreditCardTypes”Delete Credit Card Types
DELETE /ent/config/v1/hotels/{hotelId}/creditcardTypes · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveCreditCardTypesAsync(string? hotelId = null, string[]? creditCardTypesCode = null, CancellationToken ct = default)removeDayTypes
Section titled “removeDayTypes”Delete day type for a date range
DELETE /ent/config/v1/dayTypes/{dayType} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveDayTypesAsync(string dayType, Action<WithDayTypeItemRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)removeDepartments
Section titled “removeDepartments”Delete Departments
DELETE /ent/config/v1/departments/{departmentCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveDepartmentsAsync(string departmentCode, string? hotelId = null, CancellationToken ct = default)removeHotelCategories
Section titled “removeHotelCategories”Delete Hotel Categories
DELETE /ent/config/v1/hotelCategories/{categoryCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveHotelCategoriesAsync(string categoryCode, CancellationToken ct = default)removeHotelContacts
Section titled “removeHotelContacts”Delete Hotel contact
DELETE /ent/config/v1/hotels/{hotelId}/contacts/{contactId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveHotelContactsAsync(string contactId, string? hotelId = null, int? idExtension = null, CancellationToken ct = default)removeHotelDayTypeCodes
Section titled “removeHotelDayTypeCodes”Delete Hotel Day Type Codes
DELETE /ent/config/v1/hotels/{hotelId}/dayTypeCodes · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveHotelDayTypeCodesAsync(string? hotelId = null, string[]? hotelIds = null, CancellationToken ct = default)removeHotelEvents
Section titled “removeHotelEvents”Delete Hotel Events
DELETE /ent/config/v1/hotels/{hotelId}/events/{eventId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveHotelEventsAsync(string eventId, string? hotelId = null, Action<WithEventItemRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)removeHotelNotes
Section titled “removeHotelNotes”Delete Note information
DELETE /ent/config/v1/notes/{noteCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveHotelNotesAsync(string noteCode, CancellationToken ct = default)removeHotelRateRanges
Section titled “removeHotelRateRanges”Delete Rate Range information
DELETE /ent/config/v1/hotels/{hotelId}/rateRanges · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveHotelRateRangesAsync(string? hotelId = null, string? duration = null, Date? endDate = null, Date? startDate = null, CancellationToken ct = default)removeHotelRestaurants
Section titled “removeHotelRestaurants”Delete restaurant information
DELETE /ent/config/v1/hotels/{hotelId}/restaurants/{restaurantCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveHotelRestaurantsAsync(string restaurantCode, string? hotelId = null, CancellationToken ct = default)removeIframeDomain
Section titled “removeIframeDomain”Delete Iframe Domain
DELETE /ent/config/v1/iframes/domains/{domainName} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveIframeDomainAsync(string domainName, CancellationToken ct = default)removeJobTitles
Section titled “removeJobTitles”Delete resort job titles
DELETE /ent/config/v1/hotels/{hotelId}/jobTitles/{jobTitleCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveJobTitlesAsync(string jobTitleCode, string? hotelId = null, CancellationToken ct = default)removeLanguages
Section titled “removeLanguages”Delete a Language
DELETE /ent/config/v1/languages/{languageCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveLanguagesAsync(string languageCode, CancellationToken ct = default)removeMarketingCities
Section titled “removeMarketingCities”Delete resort marketing cities
DELETE /ent/config/v1/hotels/{hotelId}/marketingCities/{cityCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveMarketingCitiesAsync(string cityCode, string? hotelId = null, string? regionCode = null, CancellationToken ct = default)removeNoteTypes
Section titled “removeNoteTypes”Delete Note Types
DELETE /ent/config/v1/noteTypes/{noteTypeCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveNoteTypesAsync(string noteTypeCode, string? noteGroup = null, CancellationToken ct = default)removePropertyDetailCategories
Section titled “removePropertyDetailCategories”Delete Property Detail Categories
DELETE /ent/config/v1/propertyDetailsCategories/{categoryCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemovePropertyDetailCategoriesAsync(string categoryCode, string[]? propertyDetailCategoriesCodes = null, CancellationToken ct = default)removeRegionsCode
Section titled “removeRegionsCode”Delete Regions Code
DELETE /ent/config/v1/regionCode/{regionCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveRegionsCodeAsync(string regionCode, CancellationToken ct = default)removeTelephoneBookCategories
Section titled “removeTelephoneBookCategories”Delete Telephone Book Category
DELETE /ent/config/v1/hotels/{hotelId}/telephoneBookCategories/{categoryCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTelephoneBookCategoriesAsync(string categoryCode, string? hotelId = null, string[]? description = null, bool?[]? generic = null, int?[]? orderBy = null, CancellationToken ct = default)removeTelephoneBookEntries
Section titled “removeTelephoneBookEntries”Delete Telephone Book Entries
DELETE /ent/config/v1/hotels/{hotelId}/telephoneBookEntries/{entryId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTelephoneBookEntriesAsync(string entryId, string? hotelId = null, string[]? idContext = null, CancellationToken ct = default)removeTelephoneBookEntriesWithoutHotelId
Section titled “removeTelephoneBookEntriesWithoutHotelId”Delete Telephone Book Entries
DELETE /ent/config/v1/telephoneBookEntries/{entryId} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTelephoneBookEntriesWithoutHotelIdAsync(string entryId, string[]? idContext = null, CancellationToken ct = default)removeTemplateAirports
Section titled “removeTemplateAirports”Delete template airports
DELETE /ent/config/v1/airports/{airportCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTemplateAirportsAsync(string airportCode, CancellationToken ct = default)removeTemplateAmenities
Section titled “removeTemplateAmenities”Delete template amenities
DELETE /ent/config/v1/amenities/{featureCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTemplateAmenitiesAsync(string featureCode, CancellationToken ct = default)removeTemplateCodes
Section titled “removeTemplateCodes”Delete Template Codes
DELETE /ent/config/v1/templateCodes/{code} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTemplateCodesAsync(string code, string[]? templateCodes = null, CancellationToken ct = default)removeTemplateCountries
Section titled “removeTemplateCountries”Delete template Countries
DELETE /ent/config/v1/countries/{countryCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTemplateCountriesAsync(string countryCode, CancellationToken ct = default)removeTemplateDayTypeCodes
Section titled “removeTemplateDayTypeCodes”Delete Template Day Type Codes
DELETE /ent/config/v1/dayTypeCodes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTemplateDayTypeCodesAsync(string[]? templateDayTypeCodes = null, CancellationToken ct = default)removeTemplateHotelDetails
Section titled “removeTemplateHotelDetails”Delete hotel details specified at the template level
DELETE /ent/config/v1/hotelDetails · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTemplateHotelDetailsAsync(string[]? templateHotelDetailCategory = null, string[]? templateHotelDetailCode = null, CancellationToken ct = default)removeTemplateJobTitles
Section titled “removeTemplateJobTitles”Delete template job titles
DELETE /ent/config/v1/jobTitles/{jobTitleCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTemplateJobTitlesAsync(string jobTitleCode, CancellationToken ct = default)removeTemplateMarketingCities
Section titled “removeTemplateMarketingCities”Delete template marketing cities
DELETE /ent/config/v1/marketingCities/{cityCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTemplateMarketingCitiesAsync(string cityCode, string? regionCode = null, CancellationToken ct = default)removeTransportation
Section titled “removeTransportation”Delete transportation
DELETE /ent/config/v1/hotels/{hotelId}/transportations/{transportationCode} · hotel-scoped · deprecated
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTransportationAsync(string transportationCode, string? hotelId = null, Action<WithTransportationCodeItemRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)removeTransportationTemplates
Section titled “removeTransportationTemplates”Delete transportation templates
DELETE /ent/config/v1/transportations/{transportationCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveTransportationTemplatesAsync(string transportationCode, CancellationToken ct = default)removeUserDefinedFieldGroups
Section titled “removeUserDefinedFieldGroups”Delete User Defined Field Groups
DELETE /ent/config/v1/userDefinedFieldGroups/{udfGroupCode} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveUserDefinedFieldGroupsAsync(string udfGroupCode, CancellationToken ct = default)removeUserDefinedFieldValues
Section titled “removeUserDefinedFieldValues”Delete a User Defined Field Value
DELETE /ent/config/v1/userDefinedFieldValues/{udfValue} · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveUserDefinedFieldValuesAsync(string udfValue, string? groupCode = null, CancellationToken ct = default)removeYieldAdjustmentCodes
Section titled “removeYieldAdjustmentCodes”Delete Yield Adjustment Codes
DELETE /ent/config/v1/hotels/{hotelId}/yieldAdjustmentCodes/{yieldAdjustmentCode} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveYieldAdjustmentCodesAsync(string yieldAdjustmentCode, string? hotelId = null, CancellationToken ct = default)removeYieldCategories
Section titled “removeYieldCategories”Delete Yield Category
DELETE /ent/config/v1/hotels/{hotelId}/yieldCategories/{code} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveYieldCategoriesAsync(string code, string? hotelId = null, CancellationToken ct = default)removeYieldMarketTypes
Section titled “removeYieldMarketTypes”Delete Yield Market Types
DELETE /ent/config/v1/hotels/{hotelId}/yieldMarketTypes/{code} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.RemoveYieldMarketTypesAsync(string code, string? hotelId = null, CancellationToken ct = default)searchTelephoneBookEntries
Section titled “searchTelephoneBookEntries”Get Telephone Book Entries
POST /ent/config/v1/hotels/{hotelId}/telephoneBookEntries/searches · hotel-scoped
Task<TelephoneBookEntriesDetails?> ctx.Ohip.Api.Entcfg.SearchTelephoneBookEntriesAsync(SearchTelephoneBookEntriesRequest body, string? hotelId = null, CancellationToken ct = default)setDayTypes
Section titled “setDayTypes”Set day type for a date range
PUT /ent/config/v1/dayTypes · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.SetDayTypesAsync(SetDayTypes body, CancellationToken ct = default)setHotelEvents
Section titled “setHotelEvents”Set hotel events
PUT /ent/config/v1/hotels/{hotelId}/events · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.SetHotelEventsAsync(SetHotelEvents body, string? hotelId = null, CancellationToken ct = default)updateFlexField
Section titled “updateFlexField”Operation to update flex field.
PUT /ent/config/v1/hotels/{hotelId}/flexFields/{flexFieldId} · hotel-scoped
Task<Status?> ctx.Ohip.Api.Entcfg.UpdateFlexFieldAsync(double flexFieldId, FlexFieldCriteria body, string? hotelId = null, CancellationToken ct = default)updateUpsertFlexField
Section titled “updateUpsertFlexField”Operation to create/update flex field.
PUT /ent/config/v1/upsert/flexFields · chain-level
Task<Status?> ctx.Ohip.Api.Entcfg.UpdateUpsertFlexFieldAsync(FlexFieldCriteria body, CancellationToken ct = default)